Preview

AI Tools

The various methods for Preview are listed below:

  1. Get retail methods for preview

Get retail methods for preview

Returns preview tags for retail campaign placements or ad groups, optionally filtered by placement IDs, ad group IDs, and a creative filter. Requires MediaPlan_View permission.

Controller:controllers.v2.RetailMedia.getRetailPlacementPreview(accountId: String, retailCampaignIdx: Int)

Path Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the account.

retailCampaignIdx

integer

Mandatory

path

Index of the retail campaign.

Query Parameters

Name

Data Type

Requirement

Description

aIds

string

Optional

Comma-separated list of ad group IDs to filter previews by (e.g. 0011,_Default_Jivox_Ad_Group_).

pIds

string

Optional

Comma-separated list of placement IDs to filter previews by.

creativeFilter

string

Optional

Filter string to scope previews to a specific creative variant.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/retail-campaigns/:retailCampaignIdx/previews?aIds=0011,_Default_Jivox_Ad_Group_

Response

Field

Data Type

Description

placementPreviews

array

Preview tags grouped by placement ID (when pIds is provided).

placementPreviews[].placementId

string

The placement ID.

placementPreviews[].tags

array of string

List of preview tag strings for this placement.

adGroupPreviews

array

Preview tags grouped by ad group (when aIds is provided).

adGroupPreviews[].adGroupId

string

The ad group ID.

adGroupPreviews[].contentType

string

Content type of the ad group previews.

adGroupPreviews[].placementPreviews

array

Nested placement previews within this ad group.

adGroupPreviews[].placementPreviews[].placementId

string

The placement ID within the ad group.

adGroupPreviews[].placementPreviews[].tags

array of string

List of preview tag strings for this placement within the ad group.

Request Body

{ "placementPreviews": [], "adGroupPreviews": [ { "adGroupId": "_Default_Jivox_Ad_Group_", "contentType": "html", "placementPreviews": [ { "placementId": "0011", "tags": [ "<iframe src='https://preview.jivox.com/ad/0011?cid=5373' width='300' height='250'></iframe>" ] } ] } ] }